///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class ReportedPostInfoReason {
/*
{
  "id": 1,
  "reason": "Ảnh khỏa thân"
}
*/

  int? id;
  String? reason;

  ReportedPostInfoReason({
    this.id,
    this.reason,
  });
  ReportedPostInfoReason.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    reason = json['reason']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['reason'] = reason;
    return data;
  }
}

class ReportedPostData {
/*
{
  "id": 61,
  "reporterUserUuid": "59514518-4cbf-4968-9d10-7dad104749b9",
  "avatarUrl": null,
  "fullName": "HocMai",
  "reason": {
    "id": 1,
    "reason": "Ảnh khỏa thân"
  },
  "createdDate": 1654103287234
}
*/

  int? id;
  String? reporterUserUuid;
  String? avatarUrl;
  String? fullName;
  ReportedPostInfoReason? reason;
  int? createdDate;

  ReportedPostData({
    this.id,
    this.reporterUserUuid,
    this.avatarUrl,
    this.fullName,
    this.reason,
    this.createdDate,
  });
  ReportedPostData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    reporterUserUuid = json['reporterUserUuid']?.toString();
    avatarUrl = json['avatarUrl']?.toString();
    fullName = json['fullName']?.toString();
    reason = (json['reason'] != null)
        ? ReportedPostInfoReason.fromJson(json['reason'])
        : null;
    createdDate = json['createdDate']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['reporterUserUuid'] = reporterUserUuid;
    data['avatarUrl'] = avatarUrl;
    data['fullName'] = fullName;
    if (reason != null) {
      data['reason'] = reason!.toJson();
    }
    data['createdDate'] = createdDate;
    return data;
  }
}

class FetchReportedPostInfo {
/*
{
  "nextToken": "NTU=",
  "total": 2,
  "data": [
    {
      "id": 61,
      "reporterUserUuid": "59514518-4cbf-4968-9d10-7dad104749b9",
      "avatarUrl": null,
      "fullName": "HocMai",
      "reason": {
        "id": 1,
        "reason": "Ảnh khỏa thân"
      },
      "createdDate": 1654103287234
    }
  ]
}
*/

  String? nextToken;
  int? total;
  List<ReportedPostData>? data;

  FetchReportedPostInfo({
    this.nextToken,
    this.total,
    this.data,
  });
  FetchReportedPostInfo.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    total = json['total']?.toInt();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <ReportedPostData>[];
      v.forEach((v) {
        arr0.add(ReportedPostData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    data['total'] = total;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class ReportedPostResponse {
/*
{
  "fetchReportedPostInfo": {
    "nextToken": "NTU=",
    "total": 2,
    "data": [
      {
        "id": 61,
        "reporterUserUuid": "59514518-4cbf-4968-9d10-7dad104749b9",
        "avatarUrl": null,
        "fullName": "HocMai",
        "reason": {
          "id": 1,
          "reason": "Ảnh khỏa thân"
        },
        "createdDate": 1654103287234
      }
    ]
  }
}
*/

  FetchReportedPostInfo? fetchReportedPostInfo;

  ReportedPostResponse({
    this.fetchReportedPostInfo,
  });
  ReportedPostResponse.fromJson(Map<String, dynamic> json) {
    fetchReportedPostInfo = (json['fetchReportedPostInfo'] != null)
        ? FetchReportedPostInfo.fromJson(json['fetchReportedPostInfo'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchReportedPostInfo != null) {
      data['fetchReportedPostInfo'] = fetchReportedPostInfo!.toJson();
    }
    return data;
  }
}

class ReportedPost {
/*
{
  "data": {
    "fetchReportedPostInfo": {
      "nextToken": "NTU=",
      "total": 2,
      "data": [
        {
          "id": 61,
          "reporterUserUuid": "59514518-4cbf-4968-9d10-7dad104749b9",
          "avatarUrl": null,
          "fullName": "HocMai",
          "reason": {
            "id": 1,
            "reason": "Ảnh khỏa thân"
          },
          "createdDate": 1654103287234
        }
      ]
    }
  }
}
*/

  ReportedPostResponse? data;

  ReportedPost({
    this.data,
  });
  ReportedPost.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? ReportedPostResponse.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
